import { Nullable } from "../../base-types";
import { IQueryResult } from "./query-result";
export declare class QueryResultPagingManager {
    static canMovePrevious(queryResult: Nullable<IQueryResult>): boolean;
    static canMoveNext(queryResult: Nullable<IQueryResult>): boolean;
    static getOffsetPreviousPage(queryResult: Nullable<IQueryResult>): number;
    static getOffsetNextPage(queryResult: Nullable<IQueryResult>): number;
    static getIterationPageSize(queryResult: Nullable<IQueryResult>): number;
}
